Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetWebPagePreview

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.WebPage>
it.tdlight.jni.TdApi.GetWebPagePreview

Enclosing class:
  TdApi

public static final class TdApi.GetWebPagePreview extends TdApi.Function<TdApi.WebPage>
Returns a web page preview by the text of the message. Do not call this function too often. Returns a 404 error if the web page has no preview.

Returns `WebPage`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.FormattedText`
`text`
Message text with formatting.

## Constructor Summary

Constructors
Constructor
Description
`GetWebPagePreview()`
Returns a web page preview by the text of the message.
`GetWebPagePreview(TdApi.FormattedText text)`
Returns a web page preview by the text of the message.
`GetWebPagePreview(DataInput input)`
Returns a web page preview by the text of the message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### text

public TdApi.FormattedText text
Message text with formatting.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetWebPagePreview

public GetWebPagePreview()
Returns a web page preview by the text of the message. Do not call this function too often. Returns a 404 error if the web page has no preview.

Returns `WebPage`

### GetWebPagePreview

public GetWebPagePreview(TdApi.FormattedText text)
Returns a web page preview by the text of the message. Do not call this function too often. Returns a 404 error if the web page has no preview.

Returns `WebPage`

Parameters:
  `text` - FormattedText Message text with formatting.

### GetWebPagePreview

public GetWebPagePreview(DataInput input) throws IOException
Returns a web page preview by the text of the message. Do not call this function too often. Returns a 404 error if the web page has no preview.

Returns `WebPage`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`